<?php
namespace Ep\Form\View\Helper;

use Zend\Form\ElementInterface;
use Zend\Form\View\Helper\FormTextarea as BaseFormTextarea;

/**
 * Renderira <textarea> element.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormTextarea extends BaseFormTextarea
{
    /**
     * Renderira element.
     *
     * @param ElementInterface $element Textarea element.
     *
     * @return string
     */
    public function render(ElementInterface $element)
    {
        $classes = explode(' ', $element->getAttribute('class'));

        if (false === array_search('form-control', $classes)) {
            $classes[] = 'form-control';
        }

        $element->setAttribute('class', implode(' ', $classes));

        return parent::render($element);
    }
}