<?php
namespace Ep\View\Helper;

use Ep\Middleware\BaseUrl;
use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;
use Zend\View\Helper\BasePath;

/**
 * Class BasePathFactory
 *
 * @package Ep\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class BasePathFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return BasePath
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        /** @var BaseUrl $baseUrl */
        $baseUrl = $container->get('app.base_url');
        $basePath = new BasePath();

        $basePath->setBasePath($baseUrl->getBaseUrl());
        return $basePath;
    }
}