<?php
namespace EpTest\Form\View\Helper;

use Ep\Form\View\Helper\FormMultiCheckbox;
use EpTest\ContainerAwareTrait;
use PHPUnit\Framework\DOMTestCase;
use Zend\Form\Element\MultiCheckbox;
use Zend\ServiceManager\PluginManagerInterface;
use Zend\View\HelperPluginManager;

/**
 * Class FormMultiCheckboxTest
 *
 * @package EpTest\Form\View\Helper
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class FormMultiCheckboxTest extends DOMTestCase
{
    use ContainerAwareTrait;

    /**
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function testHelperIsRegistered()
    {
        $container = $this->createContainer();
        /** @var PluginManagerInterface $helpers */
        $helpers = $container->get(HelperPluginManager::class);

        $this->assertTrue($helpers->has('form_multi_checkbox'));
        $this->assertInstanceOf(FormMultiCheckbox::class, $helpers->get('form_multi_checkbox'));
    }

    public function testCanRenderElement()
    {
        $element = new MultiCheckbox('test', [
            'value_options' => [
                'first' => 'Jedan',
                'second' => 'Dva',
                'third' => 'Tri',
            ],
        ]);

        $helper = new FormMultiCheckbox();
        $rendered = $helper($element);

        /** @noinspection PhpParamsInspection */
        $this->assertSelectCount('.form-check > .form-check-label > .form-check-input', 3, $rendered);
    }
}