<?php
namespace EpTest\Http;

use Ep\Http\AbstractHttpClientFactory;
use EpTest\ContainerAwareTrait;
use GuzzleHttp\ClientInterface;
use GuzzleHttp\Handler\MockHandler;

/**
 * Class HttpClientAwareTrait
 *
 * @package EpTest\Http
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
trait ClientAwareTrait
{
    use ContainerAwareTrait;

    /** @noinspection PhpDocMissingThrowsInspection */

    /**
     * Vraća HttpClient spreman za testiranje.
     *
     * @param array $mockResponses
     * @param array $options
     *
     * @return ClientInterface
     */
    protected function createClient(array $mockResponses, array $options = []): ClientInterface
    {
        $container = $this->createContainer();
        $factory = new AbstractHttpClientFactory();

        $options['handler'] = new MockHandler($mockResponses);

        /** @noinspection PhpUnhandledExceptionInspection */
        return $factory($container, '', $options);
    }
}